Formula (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.mapping
Class Formula

    java.lang.Object
      org.hibernate.mapping.Formula

All Implemented Interfaces:
  Serializable, Selectable

    public class Formula

extends Object
implements Selectable, Serializable

A formula is a derived column value

See Also:
  Serialized Form

Constructor Summary
`Formula()`

Method Summary
`String` | `getAlias(Dialect dialect)`
`String` | `getAlias(Dialect dialect, Table table)`
`String` | `getFormula()`
`String` | `getTemplate(Dialect dialect, SQLFunctionRegistry functionRegistry)`
`String` | `getText()`
`String` | `getText(Dialect dialect)`
`boolean` | `isFormula()`
`void` | `setFormula(String string)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Formula

    public Formula()

Method Detail

### getTemplate

    public String getTemplate(Dialect dialect,
                              SQLFunctionRegistry functionRegistry)

  Specified by:
    `getTemplate` in interface `Selectable`

### getText

    public String getText(Dialect dialect)

  Specified by:
    `getText` in interface `Selectable`

### getText

    public String getText()

  Specified by:
    `getText` in interface `Selectable`

### getAlias

    public String getAlias(Dialect dialect)

  Specified by:
    `getAlias` in interface `Selectable`

### getAlias

    public String getAlias(Dialect dialect,
                           Table table)

  Specified by:
    `getAlias` in interface `Selectable`

### getFormula

    public String getFormula()

### setFormula

    public void setFormula(String string)

### isFormula

    public boolean isFormula()

  Specified by:
    `isFormula` in interface `Selectable`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.